Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1483726 - SELinux is preventing gnome-shell from 'map' accesses on the file /etc/udev/hwdb.bin.
Summary: SELinux is preventing gnome-shell from 'map' accesses on the file /etc/udev/h...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:092c2e6d70ef347713af24d73ac...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 19:39 UTC by Joachim Frieben
Modified: 2018-08-08 15:34 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-277.fc27 selinux-policy-3.13.1-284.37.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-08 15:34:35 UTC
Type: ---


Attachments (Terms of Use)

Description Joachim Frieben 2017-08-21 19:39:45 UTC
Description of problem:
SELinux is preventing gnome-shell from 'map' accesses on the file /etc/udev/hwdb.bin.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gnome-shell should be allowed map access on the hwdb.bin file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gnome-shell' --raw | audit2allow -M my-gnomeshell
# semodule -X 300 -i my-gnomeshell.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:systemd_hwdb_etc_t:s0
Target Objects                /etc/udev/hwdb.bin [ file ]
Source                        gnome-shell
Source Path                   gnome-shell
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           systemd-udev-234-5.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-272.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc5.git1.1.fc27.x86_64 #1
                              SMP Tue Aug 15 19:02:35 UTC 2017 x86_64 x86_64
Alert Count                   15
First Seen                    2017-08-21 19:17:32 CEST
Last Seen                     2017-08-21 21:31:23 CEST
Local ID                      a1128db3-6552-4524-a499-a8ad458a9df6

Raw Audit Messages
type=AVC msg=audit(1503343883.620:266): avc:  denied  { map } for  pid=1699 comm="gsd-color" path="/etc/udev/hwdb.bin" dev="dm-1" ino=401042 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:systemd_hwdb_etc_t:s0 tclass=file permissive=0


Hash: gnome-shell,xdm_t,systemd_hwdb_etc_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-272.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc5.git1.1.fc27.x86_64
type:           libreport

Potential duplicate: bug 1481555

Comment 1 Fedora Update System 2018-07-27 09:23:32 UTC
selinux-policy-3.13.1-284.37.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4bb4de2d86

Comment 2 Fedora Update System 2018-07-27 15:39:39 UTC
selinux-policy-3.13.1-284.37.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4bb4de2d86

Comment 3 Fedora Update System 2018-08-08 15:34:35 UTC
selinux-policy-3.13.1-284.37.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.